Subject: Re: ls so slow
From: [email-masked] (Larry Hall)

11 Dec 1998 19:46:08 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: "Richard Faber" <[email-masked]>, [email-masked]

At 10:34 AM 12/11/98 -0500, Richard Faber wrote:
>
> "B20: ls so slow in large directories (NT 4.0)"
>
>I go to the bin directory of the Cygnus user installation...
>do ls ... it is pretty fast.
>Then I do ls -CF.... it is so slow.
>
>Other ls's I use can do ls -CF quite fast....
>
>cd /d/cygnus/cygwin-b20/H-i586-cygwin32/bin$  time ls -CF
>real    0m6.309s
>user    0m0.070s
>sys     0m6.169s
>
>
>Any info appreciated....
>

If you knew what you were asking it to do by specifying the "-F" flag 
and what it has to do to comply with that request, you wouldn't think 
it was so slow!;-)  In essence, any executable/symlink has to be stat'd, 
which in Win32 world means each one is opened first.  What "other" ls's
has you used?

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02482-7797               http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".